Subject: bug#52061: 29.0.50; gnus seems to ignore gnus-parameter-to-list-alist

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 25 Nov 2021 12:46:54 +0100

Steingold <[email-masked]> writes:

> I read the ACM RISKS Forum as gmane.comp.security.risks newsgroup.
>
> When I try to reply, my message composition buffer contains
>
> Newsgroups: gmane.comp.security.risks
>
> despite `gnus-parameter-to-list-alist` containing
>
>      ("gmane.comp.security.risks" "[email-masked]")
>
> and when I hit C-c C-c to sent, I get
>
> Sending...
> Sending news via news.gmane.io using nntp...
> 441 gmane.comp.security.risks is read-only 
> Couldn’t send message via news: 441 gmane.comp.security.risks is read-only 

[...]

> This address will be used when doing a `a' in the group.
>
> It is totally ignored when doing a followup--except that if it is
> present in a news group, you'll get mail group semantics when doing
> `f'.

I now understand what this bit means: It means that if the setting is
present, `f' will work the same way that `S v' works.

And that's what happens when I try this in
nntp+news.gmane.io:gmane.comp.security.risks.  `f' gives me a *Message*
buffer that contains:

To: RISKS List Owner <[email-masked]>
Cc: [email-masked]

So I'm unable to reproduce this problem in Emacs 29.

You haven't rebound the `f' command in gnus-summary-mode or anything?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no